<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/gray_f0"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/rl_title"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:paddingLeft="10dp"
        android:paddingRight="10dp">

        <TextView
            android:id="@+id/tv_title_type"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:clickable="true"
            android:drawableRight="@drawable/ic_arrow_gray_down"
            android:focusable="true"
            android:text="文档类型"
            android:textColor="@color/black"
            android:textStyle="bold" />

        <ImageView
            android:id="@+id/iv_add"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:src="@drawable/ic_add_cir" />
    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="10dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <EditText
            android:id="@+id/et_search"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginRight="10dp"
            android:layout_weight="1"
            android:background="@drawable/shp_rectangle_white_5"
            android:drawableLeft="@drawable/ic_search_icon_gray"
            android:drawablePadding="5dp"
            android:hint="搜索"
            android:padding="5dp"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/tv_cancel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="取消" />
    </LinearLayout>

    <RadioGroup
        android:id="@+id/rg_type"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:layout_marginRight="10dp"
        android:orientation="horizontal">

        <RadioButton
            android:id="@+id/rb_pri"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@drawable/switch_custom_gray_white"
            android:button="@null"
            android:checked="true"
            android:gravity="center"
            android:padding="5dp"
            android:text="个人文档" />

        <RadioButton
            android:id="@+id/rb_share"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@drawable/switch_custom_gray_white"
            android:button="@null"
            android:gravity="center"
            android:padding="5dp"
            android:text="共享文档" />

        <RadioButton
            android:id="@+id/rb_pub"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@drawable/switch_custom_gray_white"
            android:button="@null"
            android:gravity="center"
            android:padding="5dp"
            android:text="公共文档" />

    </RadioGroup>

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/srl_content"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginLeft="10dp"
        android:layout_marginTop="5dp"
        android:layout_marginRight="10dp">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rlv_doc"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

            <LinearLayout
                android:id="@+id/ll_hint"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:gravity="center"
                android:orientation="vertical">

                <ProgressBar
                    android:id="@+id/pb_loading"
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:indeterminateBehavior="repeat"
                    android:indeterminateDrawable="@drawable/anim_loading" />

                <ImageView
                    android:id="@+id/iv_empty_data"
                    android:layout_width="100dp"
                    android:layout_height="100dp"
                    android:layout_centerInParent="true" />

                <TextView
                    android:id="@+id/tv_error_hint"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:clickable="true"
                    android:textColor="@color/black"
                    tools:text="加载数据失败" />
            </LinearLayout>
        </RelativeLayout>
    </com.scwang.smart.refresh.layout.SmartRefreshLayout>


</LinearLayout>